Subject: bug#60226: closed (Re: bug#60226: [mumi] fibers-related crash (accept: Too many open files))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Mar 2025 05:59:02 +0000

Your bug report

#60226: [mumi] fibers-related crash (accept: Too many open files)

which was filed against the mumi package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60226: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60226
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60226: [mumi] fibers-related crash (accept: Too many open files)
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Sun, 09 Mar 2025 14:58:29 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> MUMI is currently stopped, and the tail of its /var/log/mumi.log says:
>
> [...]
> 2022-12-20 19:29:47 GET /apple-touch-icon.png
> 2022-12-20 19:29:47 GET /favicon.ico
> 2022-12-20 19:29:47 GET /apple-touch-icon-precomposed.png
> 2022-12-20 19:29:47 GET /search
> 2022-12-20 19:30:37 GET Uncaught exception in fiber ##f:
> 2022-12-20 19:30:37 In fibers/web/server.scm:
> 2022-12-20 19:30:37     221:4  3 (socket-loop #<input-output: socket 10> #<procedure 7f9…>)
> 2022-12-20 19:30:37 In ice-9/suspendable-ports.scm:
> 2022-12-20 19:30:37    733:12  2 (_ #<input-output: socket 10> _)
> 2022-12-20 19:30:37 In unknown file:
> 2022-12-20 19:30:37            1 (accept #<input-output: socket 10> 526336)
> 2022-12-20 19:30:37 In ice-9/boot-9.scm:
> 2022-12-20 19:30:37   1685:16  0 (raise-exception _ #:continuable? _)
> 2022-12-20 19:30:37 ice-9/boot-9.scm:1685:16: In procedure raise-exception:
> 2022-12-20 19:30:37 In procedure accept: Too many open files
>
> Perhaps Ricardo or someone else has seen this error before?
>
> I restarted mumi with 'herd restart mumi' on berlin, and it's working again.

Since Arun's commit 897967a84d3f51da2b1cc8c3ee942fd14f4c669b, Fiber is
not used anymore, so I'd hope the above issue vanishes.

Closing.

-- 
Thanks,
Maxim

Subject: [mumi] fibers-related crash (accept: Too many open files)
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Cc: Ricardo Wurmus <[email-masked]>, guix-sysadmin <[email-masked]>
Date: Tue, 20 Dec 2022 13:57:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

MUMI is currently stopped, and the tail of its /var/log/mumi.log says:

--8<---------------cut here---------------start------------->8---
[...]
2022-12-20 19:29:47 GET /apple-touch-icon.png
2022-12-20 19:29:47 GET /favicon.ico
2022-12-20 19:29:47 GET /apple-touch-icon-precomposed.png
2022-12-20 19:29:47 GET /search
2022-12-20 19:30:37 GET Uncaught exception in fiber ##f:
2022-12-20 19:30:37 In fibers/web/server.scm:
2022-12-20 19:30:37     221:4  3 (socket-loop #<input-output: socket 10> #<procedure 7f9…>)
2022-12-20 19:30:37 In ice-9/suspendable-ports.scm:
2022-12-20 19:30:37    733:12  2 (_ #<input-output: socket 10> _)
2022-12-20 19:30:37 In unknown file:
2022-12-20 19:30:37            1 (accept #<input-output: socket 10> 526336)
2022-12-20 19:30:37 In ice-9/boot-9.scm:
2022-12-20 19:30:37   1685:16  0 (raise-exception _ #:continuable? _)
2022-12-20 19:30:37 ice-9/boot-9.scm:1685:16: In procedure raise-exception:
2022-12-20 19:30:37 In procedure accept: Too many open files
--8<---------------cut here---------------end--------------->8---

Perhaps Ricardo or someone else has seen this error before?

I restarted mumi with 'herd restart mumi' on berlin, and it's working again.

-- 
Thanks,
Maxim